Index: appendices/dependencies.xml
===================================================================
--- appendices/dependencies.xml	(revision 0be020ff664d2d2fc95ebc28394ffd46e52ca7e0)
+++ appendices/dependencies.xml	(revision 3e73c5dd3b4568c418f5238dfbfb2209eb8ef4b8)
@@ -477,5 +477,5 @@
 
         <seglistitem>
-         <seg>Bash, Coreutils, Diffutils, GCC, Grep, Make, and Sed</seg>
+         <seg>Bash, Coreutils, Diffutils, GCC, Grep, Make, Sed, and Texinfo</seg>
         </seglistitem>
       </segmentedlist>
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 0be020ff664d2d2fc95ebc28394ffd46e52ca7e0)
+++ chapter01/changelog.xml	(revision 3e73c5dd3b4568c418f5238dfbfb2209eb8ef4b8)
@@ -47,4 +47,46 @@
     <listitem>
       <itemizedlist>
+      <para>2021-01-01</para>
+        <listitem>
+          <para>[bdubbs] - Update to vim-8.2.2253. Addresses
+          <ulink url="&lfs-ticket-root;4500">#4500</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iana-etc-20201229. Addresses
+          <ulink url="&lfs-ticket-root;4722">#4722</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gdbm-1.19. Fixes
+          <ulink url="&lfs-ticket-root;4779">#4779</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to tzdata-2020f. Fixes
+          <ulink url="&lfs-ticket-root;4777">#4777</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to man-pages-5.10. Fixes
+          <ulink url="&lfs-ticket-root;4776">#4776</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-5.10.0. Fixes
+          <ulink url="&lfs-ticket-root;4775">#4775</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to zstd-1.4.8. Fixes
+          <ulink url="&lfs-ticket-root;4774">#4774</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kbd-2.4.0. Fixes
+          <ulink url="&lfs-ticket-root;4773">#4773</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.10.4. Fixes
+          <ulink url="&lfs-ticket-root;4772">#4772</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
+      <itemizedlist>
       <para>2020-12-15</para>
         <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 0be020ff664d2d2fc95ebc28394ffd46e52ca7e0)
+++ chapter01/whatsnew.xml	(revision 3e73c5dd3b4568c418f5238dfbfb2209eb8ef4b8)
@@ -100,7 +100,7 @@
        <para>GCC-&gcc-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
        <para>GDBM-&gdbm-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Gettext-&gettext-version;</para>
@@ -139,7 +139,7 @@
       <para>IPRoute2-&iproute2-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Kbd-&kbd-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kmod-&kmod-version;</para>
@@ -262,7 +262,7 @@
       <para>Zlib-&zlib-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Zstd-&zstd-version;</para>
-    </listitem>-->
+    </listitem>
   </itemizedlist>
 
Index: chapter08/gdbm.xml
===================================================================
--- chapter08/gdbm.xml	(revision 0be020ff664d2d2fc95ebc28394ffd46e52ca7e0)
+++ chapter08/gdbm.xml	(revision 3e73c5dd3b4568c418f5238dfbfb2209eb8ef4b8)
@@ -44,9 +44,9 @@
   <sect2 role="installation">
     <title>Installation of GDBM</title>
-
+<!--
     <para>First, fix an issue first identified by gcc-10:</para>
 
 <screen><userinput remap="pre">sed -r -i '/^char.*parseopt_program_(doc|args)/d' src/parseopt.c</userinput></screen>
-
+-->
     <para>Prepare GDBM for compilation:</para>
 
Index: chapter08/kbd.xml
===================================================================
--- chapter08/kbd.xml	(revision 0be020ff664d2d2fc95ebc28394ffd46e52ca7e0)
+++ chapter08/kbd.xml	(revision 3e73c5dd3b4568c418f5238dfbfb2209eb8ef4b8)
@@ -88,8 +88,4 @@
 
 <screen><userinput remap="install">make install</userinput></screen>
-
-    <para>Remove an internal library installed unintentionally:</para>
-
-<screen><userinput remap="install">rm -v /usr/lib/libtswrap.{a,la,so*}</userinput></screen>
 
     <note>
Index: general.ent
===================================================================
--- general.ent	(revision 0be020ff664d2d2fc95ebc28394ffd46e52ca7e0)
+++ general.ent	(revision 3e73c5dd3b4568c418f5238dfbfb2209eb8ef4b8)
@@ -1,14 +1,14 @@
-<!ENTITY version         "SVN-20201215">
+<!ENTITY version         "SVN-20210101">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20201215-systemd">
+<!ENTITY versiond        "20210101-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "December 15th, 2020">
+<!ENTITY releasedate     "January 1st, 2021">
 
-<!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
+<!ENTITY copyrightdate   "1999-2021"><!-- jhalfs needs a literal dash, not &ndash; -->
 
 <!ENTITY lfs-root        "http://www.linuxfromscratch.org/">
Index: packages.ent
===================================================================
--- packages.ent	(revision 0be020ff664d2d2fc95ebc28394ffd46e52ca7e0)
+++ packages.ent	(revision 3e73c5dd3b4568c418f5238dfbfb2209eb8ef4b8)
@@ -239,8 +239,8 @@
 <!ENTITY libstdcpp-tmpp2-sbu "0.8 SBU">
 
-<!ENTITY gdbm-version "1.18.1">
-<!ENTITY gdbm-size "920 KB">
+<!ENTITY gdbm-version "1.19">
+<!ENTITY gdbm-size "946 KB">
 <!ENTITY gdbm-url "&gnu;gdbm/gdbm-&gdbm-version;.tar.gz">
-<!ENTITY gdbm-md5 "988dc82182121c7570e0cb8b4fcd5415">
+<!ENTITY gdbm-md5 "aeb29c6a90350a4c959cd1df38cd0a7e">
 <!ENTITY gdbm-home "&gnu-software;gdbm/">
 <!ENTITY gdbm-fin-du "11 MB">
@@ -320,8 +320,8 @@
 <!ENTITY gzip-fin-sbu "0.1 SBU">
 
-<!ENTITY iana-etc-version "20201124">
+<!ENTITY iana-etc-version "20201229">
 <!ENTITY iana-etc-size "578 KB">
 <!ENTITY iana-etc-url "https://github.com/Mic92/iana-etc/releases/download/&iana-etc-version;/iana-etc-&iana-etc-version;.tar.gz">
-<!ENTITY iana-etc-md5 "c334faba23f49fffe02cab0077b30828">
+<!ENTITY iana-etc-md5 "19f35177c0bd701f4e52bfc9ce068f5d">
 <!ENTITY iana-etc-home "https://www.iana.org/protocols">
 <!ENTITY iana-etc-fin-du "4.7 MB">
@@ -344,8 +344,8 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.9.0">
-<!ENTITY iproute2-size "769 KB">
+<!ENTITY iproute2-version "5.10.0">
+<!ENTITY iproute2-size "781 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "3966f12374e1beb70f1c21f30a350673">
+<!ENTITY iproute2-md5 "19ffea480a21e600453776b7225f3319">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "14 MB">
@@ -360,8 +360,8 @@
 <!ENTITY isl-fin-sbu "0.1 SBU">
 
-<!ENTITY kbd-version "2.3.0">
-<!ENTITY kbd-size "1,074 KB">
+<!ENTITY kbd-version "2.4.0">
+<!ENTITY kbd-size "1,095 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.xz">
-<!ENTITY kbd-md5 "ac7ec9cedad48f4c279251cddc72008a">
+<!ENTITY kbd-md5 "3cac5be0096fcf7b32dcbd3c53831380">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
 <!ENTITY kbd-fin-du "32 MB">
@@ -425,11 +425,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "9">
-<!ENTITY linux-patch-version "14">
+<!ENTITY linux-minor-version "10">
+<!ENTITY linux-patch-version "4">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "112,849 KB">
+<!ENTITY linux-size "113,880 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4727d38ee292c83c230a30a1db067983">
+<!ENTITY linux-md5 "650f047a5fc947276ef6ae513b773c9b">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.8.3 / gcc-10.2.0 on x86_64 : minimum is
@@ -473,8 +473,8 @@
 <!ENTITY man-db-fin-sbu "0.5 SBU">
 
-<!ENTITY man-pages-version "5.09">
-<!ENTITY man-pages-size "1,701 KB">
+<!ENTITY man-pages-version "5.10">
+<!ENTITY man-pages-size "1,707 KB">
 <!ENTITY man-pages-url "&kernel;linux/docs/man-pages/man-pages-&man-pages-version;.tar.xz">
-<!ENTITY man-pages-md5 "3821e8d05f6f253e136ca2a4ff0aafbf">
+<!ENTITY man-pages-md5 "4ae3f74a1beddd919936e1058642644c">
 <!ENTITY man-pages-home "https://www.kernel.org/doc/man-pages/">
 <!ENTITY man-pages-fin-du "31 MB">
@@ -686,8 +686,8 @@
 <!ENTITY texinfo-fin-sbu "0.8 SBU">
 
-<!ENTITY tzdata-version "2020d">
-<!ENTITY tzdata-size "393 KB">
+<!ENTITY tzdata-version "2020f">
+<!ENTITY tzdata-size "403 KB">
 <!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "2f58d72e31cf073f5076c2cbf182cba3">
+<!ENTITY tzdata-md5 "e7d618fe3fd16fdd290abc5e74cb264e">
 <!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
@@ -709,11 +709,11 @@
 <!ENTITY util-linux-fin-sbu "1.2 SBU">
 
-<!ENTITY vim-version "8.2.2070">
+<!ENTITY vim-version "8.2.2253">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "14,968 KB">
+<!ENTITY vim-size "15,011 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "52ecae95a255a4e9221d81e6ad64e6a2">
+<!ENTITY vim-md5 "497890e1f563a65c6f7594c0b0f5c0b9">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-fin-du "201 MB">
@@ -746,8 +746,8 @@
 <!ENTITY zlib-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY zstd-version "1.4.5">
-<!ENTITY zstd-size "1,928 KB">
+<!ENTITY zstd-version "1.4.8">
+<!ENTITY zstd-size "1,762 KB">
 <!ENTITY zstd-url "https://github.com/facebook/zstd/releases/download/v&zstd-version;/zstd-&zstd-version;.tar.gz">
-<!ENTITY zstd-md5 "dd0b53631303b8f972dafa6fd34beb0c">
+<!ENTITY zstd-md5 "e873db7cfa5ef05832e6d55a5a572840">
 <!ENTITY zstd-home "https://facebook.github.io/zstd/">
 <!ENTITY zstd-fin-du "16 MB">
